diff --git a/CMakeLists.txt b/CMakeLists.txt
index e734714..b79ff3a 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -474,7 +474,7 @@ set_target_properties(connector PROPERTIES
 
 
 install(TARGETS connector
-  CONFIGURATIONS Release RelWithDebInfo
+  CONFIGURATIONS Release RelWithDebInfo Gentoo
   ARCHIVE DESTINATION "${INSTALL_LIB_DIR_STATIC}" COMPONENT XDevAPIDev
   RUNTIME DESTINATION "${INSTALL_LIB_DIR}" COMPONENT XDevAPIDll
   LIBRARY DESTINATION "${INSTALL_LIB_DIR}" COMPONENT XDevAPIDll
diff --git a/cdk/cmake/DepFindProtobuf.cmake b/cdk/cmake/DepFindProtobuf.cmake
index 414716c..165af4b 100644
--- a/cdk/cmake/DepFindProtobuf.cmake
+++ b/cdk/cmake/DepFindProtobuf.cmake
@@ -52,21 +52,7 @@ if(TARGET ext::protobuf)
   return()
 endif()
 
-message(STATUS "Setting up Protobuf.")
-
-# Setup extrnal project that builds protobuf from  bundled sources
-
-add_ext(protobuf)
-
-# import targets from the external project 
-# Note: The pb_ targets are created by protobuf/exports.cmake
-
-add_ext_targets(protobuf
-  pb-lite pb_libprotobuf-lite
-  pb-full pb_libprotobuf
-  protoc  pb_protoc
-)
-
+find_package(Protobuf REQUIRED)
 
 # Standard PROTOBUF_GENERATE_CPP modified to our usage
 
@@ -95,7 +81,7 @@ function(mysqlx_protobuf_generate_cpp SRCS HDRS)
              "${CMAKE_CURRENT_BINARY_DIR}/protobuf/${FIL_WE}.pb.h"
       COMMAND ${CMAKE_COMMAND}
             -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/protobuf"
-      COMMAND ext::protoc
+      COMMAND ${Protobuf_PROTOC_EXECUTABLE}
       ARGS --cpp_out "${CMAKE_CURRENT_BINARY_DIR}/protobuf"
            -I ${ABS_PATH} ${ABS_FIL}
            #--proto_path=${PROTOBUF_INCLUDE_DIR}
diff --git a/cdk/core/CMakeLists.txt b/cdk/core/CMakeLists.txt
index 10cae33..3907c9b 100644
--- a/cdk/core/CMakeLists.txt
+++ b/cdk/core/CMakeLists.txt
@@ -45,7 +45,7 @@ add_library(cdk STATIC ${cdk_sources} ${HEADERS})
 
 target_link_libraries(cdk
   PUBLIC  cdk_mysqlx cdk_parser
-  PRIVATE ext::pb-lite  # required by codecc.cc
+  PRIVATE protobuf  # required by codecc.cc
 )
 
 add_coverage(cdk)
diff --git a/cdk/protocol/mysqlx/CMakeLists.txt b/cdk/protocol/mysqlx/CMakeLists.txt
index a399401..b04ffa3 100644
--- a/cdk/protocol/mysqlx/CMakeLists.txt
+++ b/cdk/protocol/mysqlx/CMakeLists.txt
@@ -129,11 +129,7 @@ target_include_directories(cdk_proto_mysqlx PRIVATE
   ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-if(use_full_protobuf)
-  target_link_libraries(cdk_proto_mysqlx PRIVATE ext::pb-full)
-else()
-  target_link_libraries(cdk_proto_mysqlx PRIVATE ext::pb-lite)
-endif()
+target_link_libraries(cdk_proto_mysqlx PRIVATE protobuf)
 
 target_link_libraries(cdk_proto_mysqlx
   PRIVATE cdk_foundation ext::zlib ext::lz4 ext::zstd
diff --git a/jdbc/CMakeLists.txt b/jdbc/CMakeLists.txt
index f4355ed..f24510b 100644
--- a/jdbc/CMakeLists.txt
+++ b/jdbc/CMakeLists.txt
@@ -299,7 +299,7 @@ endif()
 
 
 install(TARGETS connector-jdbc
-  CONFIGURATIONS Release RelWithDebInfo
+  CONFIGURATIONS Release RelWithDebInfo Gentoo
   ARCHIVE DESTINATION "${INSTALL_LIB_DIR_STATIC}" COMPONENT JDBCDev
   RUNTIME DESTINATION "${INSTALL_LIB_DIR}" COMPONENT JDBCDll
   LIBRARY DESTINATION "${INSTALL_LIB_DIR}" COMPONENT JDBCDll
